Package com.google.android.exoplayer2.util

## Class NetworkTypeObserver

- java.lang.Object
- - com.google.android.exoplayer2.util.NetworkTypeObserver

-     public final class NetworkTypeObserver
      extends Object

  Observer for network type changes.

  `Registered` listeners are informed at registration and whenever the network type changes.

  The current network type can also be `queried` without registration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `NetworkTypeObserver.Listener` | A listener for network type changes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NetworkTypeObserver` | `getInstance​(Context context)` | Returns a network type observer instance.
    `@com.google.android.exoplayer2.C.NetworkType int` | `getNetworkType()` | Returns the current network type.
    `void` | `register​(NetworkTypeObserver.Listener listener)` | Registers a listener.
    `static void` | `resetForTests()` | Resets the network type observer for tests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static NetworkTypeObserver getInstance​(Context context)

      Returns a network type observer instance.
      Parameters:
        `context` - A `Context`.

    - #### resetForTests

          public static void resetForTests()

      Resets the network type observer for tests.

    - #### register

          public void register​(NetworkTypeObserver.Listener listener)

      Registers a listener.

      The current network type will be reported to the listener after registration.

      Parameters:
        `listener` - The `NetworkTypeObserver.Listener`.

    - #### getNetworkType

          @NetworkType
          public @com.google.android.exoplayer2.C.NetworkType int getNetworkType()

      Returns the current network type.